List of RRset
curl --request GET \
--url https://api.gcore.com/dns/v2/zones/{zoneName}/rrsets \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/dns/v2/zones/{zoneName}/rrsets"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/zones/{zoneName}/rrsets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rrsets": [
{
"name": "sub.example.com",
"resource_records": [
{
"content": [
100,
1,
5061,
"example.com"
],
"enabled": true,
"id": 42,
"meta": {
"continents": [
"europe",
"asia"
],
"countries": [
"us",
"gb",
"lu"
],
"ip": [
"192.168.15.150/25",
"2003:de:2016::/48"
]
}
}
],
"filter_set_id": 123,
"meta": {},
"pickers": [
{
"limit": 123,
"strict": true
}
],
"ttl": 123,
"updated_at": "2023-11-07T05:31:56Z",
"warning": "<string>",
"warnings": [
{
"key": "<string>",
"message": "<string>"
}
]
}
],
"total_amount": 123
}This response has no body data.RRsets
List of RRset
List of RRset.
GET
/
dns
/
v2
/
zones
/
{zoneName}
/
rrsets
List of RRset
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Query Parameters
Amount of records to skip before beginning to write in response.
Max number of records in response
Field name to sort by
Ascending or descending order
Available options:
asc, desc Was this page helpful?
⌘I